SolrQueryRequest (Solr 3.6.2 API)
Keywords: org.apache.solr.request.SolrQueryRequest interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.request
Interface SolrQueryRequest

All Known Implementing Classes:
  LocalSolrQueryRequest, SolrQueryRequestBase

    public interface SolrQueryRequest

Container for a request to execute a query.

`SolrQueryRequest` is not thread safe.

Version:
  $Id: SolrQueryRequest.java 1065586 2011-01-31 13:01:48Z rmuir $

Method Summary
`void` | `close()` This method should be called when all uses of this request are finished, so that resources can be freed.
`Iterable<ContentStream>` | `getContentStreams()` A Collection of ContentStreams passed to the request
`Map<Object,Object>` | `getContext()` Generic information associated with this request that may be both read and updated.
`SolrCore` | `getCore()` The solr core (coordinator, etc) associated with this request
`int` | `getLimit()` Deprecated. Use `getParams()` and `CommonParams.ROWS` instead.
`SolrParams` | `getOriginalParams()` Returns the original request parameters.
`String` | `getParam(String name)` Deprecated. Use `getParams()` instead.
`SolrParams` | `getParams()` returns the current request parameters
`String[]` | `getParams(String name)` Deprecated. Use `getParams()` instead.
`String` | `getParamString()` Returns a string representing all the important parameters.
`String` | `getQueryString()` Deprecated. Use `getParams()` and `CommonParams.Q` instead.
`String` | `getQueryType()` Deprecated. Use `getParams()` and `CommonParams.QT` instead.
`IndexSchema` | `getSchema()` The index schema associated with this request
`SolrIndexSearcher` | `getSearcher()` The index searcher associated with this request
`int` | `getStart()` Deprecated. Use `getParams()` and `CommonParams.START` instead.
`long` | `getStartTime()` The start time of this request in milliseconds
`void` | `setParams(SolrParams params)` Change the parameters for this request.

Method Detail

### getParams

    SolrParams getParams()

  returns the current request parameters

### setParams

    void setParams(SolrParams params)

  Change the parameters for this request. This does not affect the original parameters returned by getOriginalParams()

### getContentStreams

    Iterable<ContentStream> getContentStreams()

  A Collection of ContentStreams passed to the request

### getOriginalParams

    SolrParams getOriginalParams()

  Returns the original request parameters. As this does not normally include configured defaults it's more suitable for logging.

### getContext

    Map<Object,Object> getContext()

  Generic information associated with this request that may be both read and updated.

### close

    void close()

  This method should be called when all uses of this request are finished, so that resources can be freed.

### getParam

    @Deprecated
    String getParam(String name)

  Deprecated. Use `getParams()` instead.

  Returns the input parameter value for the specified name

  Returns:
    the value, or the first value if the parameter was specified more then once; may be null.

### getParams

    @Deprecated
    String[] getParams(String name)

  Deprecated. Use `getParams()` instead.

  Returns the input parameter values for the specified name

  Returns:
    the values; may be null or empty depending on implementation

### getQueryString

    @Deprecated
    String getQueryString()

  Deprecated. Use `getParams()` and `CommonParams.Q` instead.

  Returns the primary query string parameter of the request

### getQueryType

    @Deprecated
    String getQueryType()

  Deprecated. Use `getParams()` and `CommonParams.QT` instead.

  Signifies the syntax and the handler that should be used to execute this query.

### getStart

    @Deprecated
    int getStart()

  Deprecated. Use `getParams()` and `CommonParams.START` instead.

  starting position in matches to return to client

### getLimit

    @Deprecated
    int getLimit()

  Deprecated. Use `getParams()` and `CommonParams.ROWS` instead.

  number of matching documents to return

### getStartTime

    long getStartTime()

  The start time of this request in milliseconds

### getSearcher

    SolrIndexSearcher getSearcher()

  The index searcher associated with this request

### getCore

    SolrCore getCore()

  The solr core (coordinator, etc) associated with this request

### getSchema

    IndexSchema getSchema()

  The index schema associated with this request

### getParamString

    String getParamString()

  Returns a string representing all the important parameters. Suitable for logging.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD